#ifndef __PERSON_H__
#define __PERSON_H__

#include <iostream>

class CPerson {
	friend std::ostream& operator<<(std::ostream&, const CPerson&);
	friend std::ostream& operator<<(std::ostream&, const CPerson*);
	friend std::istream& operator>>(std::istream&, CPerson&);

public:
	CPerson();				// default constructor
	CPerson(char *, int, char *, char *);	// conversion
	CPerson(const CPerson&);	// copy constructor
	CPerson& operator=(const CPerson&); // operator=
	virtual ~CPerson();
	virtual void Show();

	char * GetName() const;
	int GetID() const;
	char * GetPhoneNumber() const;
	char * GetAddress() const;

private:
	char * _name;
	int _id;
	char * _phone;
	char * _addr;
};

#endif